#include <iostream>
#include <vector>

using namespace std;

static vector<vector<bool>> matrica(500000, vector<bool>(500000));
static int n, h, niz[500000];

constexpr void inicijalizuj_niz()
{
	for (int i = 0; i < 500000; i++)
    		niz[i] = 1;
            }

            int main()
            {
            	ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
                	inicijalizuj_niz();
                    	cout << -1;
                        }